# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define module util
%define bname fest

Name:           fest-%{module}
Version:        1.1.4
Release:        %mkrel 1
Summary:        Fixtures for Easy Software Testing Utilities
Group:          Development/Java
License:        ASL 2.0
URL:            http://fest.easytesting.org/
# svn export http://svn.codehaus.org/fest/trunk/fest-util fest-util-1.1.4
# tar czf fest-util-1.1.4-src-svn.tar.gz fest-util-1.1.4
Source0:        fest-util-1.1.4-src-svn.tar.gz
# ant build scripts
Source1:        fest-util-1.1.4-autogeneratefiles.tar.gz

BuildRequires: fest-parent
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: junit4

BuildRequires: maven >= 0:2.0.8
BuildRequires: maven-ant-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Utility methods used by FEST modules.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Fixtures for Easy Software Testing Utilities.

This package contains javadoc for %{name}.

%prep
%setup -q

%build

mvn-rpmbuild ant:ant install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{bname}

install -m 644 target/%{name}-%{version}.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{bname}/%{module}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}.pom
%add_to_maven_depmap org.easytesting %{name} %{version} JPP/%{bname} %{module}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE.txt
%dir %{_javadir}/%{bname}
%{_javadir}/%{bname}/%{module}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Oct 31 2011 dmorgan <dmorgan> 1.1.4-1.mga2
+ Revision: 160317
- imported package fest-util

  + gil <gil>
    - update to 1.1.4


* Wed Jun 16 2010 Ralph Apel <r.apel@r-apel.de> 1.1.3-0.r1039.1
- First JPP release

